Subject: Re: using merge subtree and move it..

From: SungHyun Nam <[email-masked]>
Date: Tue, 09 Sep 2008 18:59:45 +0900

Johannes Sixt wrote:
> SungHyun Nam schrieb:
>> I used the subtree merge strategy. And then I moved the directory.
>> Now, can I use subtree merge for that new directory?
> 
> Sure. It should work just fine.
> 
>> $ git pull -s subtree klib master
>> remote: Counting objects: 5, done.
>> remote: Compressing objects: 100% (2/2), done.
>> remote: Total 3 (delta 1), reused 0 (delta 0)
>> Unpacking objects: 100% (3/3), done.
>> From ssh://192.168.10.10/git/libs/klib
>>  * branch            master     -> FETCH_HEAD
>> error: Entry 'klib/klib.c' not uptodate. Cannot merge.
> 
> Your problem is not related to subtree merge. Make sure you have no
> changes to commit before you merge.

It seems I forgot to commit after running 'git mv lib/klib klib'.
Oops! :( I'm not sure because the problem gone after I did some
stupid things.  The 'some stupid things' include 'git rm -rf klib;
...; git remote rm klib and re-doing using-merge-subtree.....'.

BTW, I have no idea how I can push 'local changes in subtree' to remote.
The 'Additional tips' in using-merge-subtree.txt said it is
possible using subtree. But don't know how? Could someone show me
a sample command/setup sequence?

Thanks,
namsh